package com.bocloud.nms.model.veeam;

import com.alibaba.fastjson.annotation.JSONField;

import java.util.List;

public class TaskModel {

    @JSONField(name = "TaskId")
    private String taskId;
    /**
     * Running — the task is in progress.
     * OperationFinished — the task operation is finished on the backup server, but Veeam Backup Enterprise Manager has not collected the operation data yet.
     * Finished — the task operation is finished, and the Veeam Backup Enterprise Manager database contains the operation data.
     */
    @JSONField(name = "State")
    private String state;
    @JSONField(name = "Operation")
    private String operation;
    @JSONField(name = "Result")
    private ResultModel result;
    @JSONField(name = "Links")
    private List<LinkModel> links;
    @JSONField(name = "Href")
    private String href;
    @JSONField(name = "Type")
    private String type;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public ResultModel getResult() {
        return result;
    }

    public void setResult(ResultModel result) {
        this.result = result;
    }

    public List<LinkModel> getLinks() {
        return links;
    }

    public void setLinks(List<LinkModel> links) {
        this.links = links;
    }

    public String getHref() {
        return href;
    }

    public void setHref(String href) {
        this.href = href;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
